<?php

namespace Drupal\mapkit\Autocomplete;

use Drupal\toolshed\Strategy\StrategyManagerInterface;

/**
 * Strategy manager interface for location autocomplete providers.
 */
interface AutocompleteManagerInterface extends StrategyManagerInterface {

  /**
   * Get a list of autocomplete strategy providers.
   *
   * The list is compatible for use as "#options" for select and checkbox form
   * elements.
   *
   * @return array<string,string|\Stringable>
   *   List of available autocomplete handlers for the Mapkit autocomplete
   *   elements.
   */
  public function getAutocompleteOptions(): array;

}
